---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ag
  labels:
    name: ag
    owner: agepoly
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ag
      owner: agepoly
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 2
      maxUnavailable: 0
  template:
    metadata:
      labels:
        app: ag
        owner: agepoly
    spec:
      imagePullSecrets:
        - name: gitlab-kubernetes
      containers:
        - name: ag
          imagePullPolicy: Always  
          image: registry.gitlab.com/agepoly/it/dev/zoom-tequila-invite:latest
          volumeMounts:
            - {"name":"ag-k","mountPath":"/app/keys"}
          ports:
            - containerPort: 80
          env:
            - name: HOST
              value: "ag.agepoly.ch"
          livenessProbe:
            failureThreshold: 2
            httpGet:
              path: /
              port: 80
              scheme: HTTP
              httpHeaders:
                - name: Host
                  value: ag.agepoly.ch
            initialDelaySeconds: 300
            periodSeconds: 300
            timeoutSeconds: 10
          startupProbe:
            failureThreshold: 30
            httpGet:
              path: /
              port: 80
              scheme: HTTP
              httpHeaders:
                - name: Host
                  value: ag.agepoly.ch
            initialDelaySeconds: 5
            periodSeconds: 10
            timeoutSeconds: 10
      volumes:
        - {"persistentVolumeClaim":{"claimName":"ag-keys"},"name":"ag-k"}

---
apiVersion: v1
kind: Service
metadata:
  name: ag
  labels:
    name: ag
    owner: agepoly
spec:
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
      name: http
  selector:
      app: ag
      owner: agepoly
  type: ClusterIP

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: ag-aliases
  labels:
    name: ag
    owner: agepoly
spec:
  entryPoints:
    - websecure
  tls:
    {"certResolver":"le-tls"}
  routes:
    - match: Host(`ag.agepoly.ch`)
      kind: Rule
      services:
        - name: ag
          port: 80
---
kind: PersistentVolume
apiVersion: v1
metadata:
  name: ag-keys-pv
  labels:
    type: local
    owner: agepoly
    app: ag
    name: ag
    environment: ag
spec:
  capacity:
    storage: 15G
  accessModes:
    - ReadWriteMany
  hostPath:
    path: /mnt/data/ag/keys

---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: ag-keys
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 15G
  selector:
    matchLabels:
      owner: agepoly
      name: ag
      app: ag
      environment: ag
---
